#pragma once

#include <Arduino.h>

void time_receiver_init(const char *ntp_server_1, const char *ntp_server_2);
uint32_t time_get_utc();
bool time_is_synced();
void time_set_utc(uint32_t epoch);
void time_get_local_hhmm(char *out, size_t out_len);
uint32_t time_get_last_sync_utc();
uint32_t time_get_last_sync_age_sec();
